22set -euo pipefail
33echo " The build architecture is ${ImageOS} "
44
5- if [ " ${ImageOS} " == " ubuntu22 " ] && [ " ${BUILD_TYPE} " == " docker" ]; then
5+ if [ " ${ImageOS} " == " ubuntu24 " ] && [ " ${BUILD_TYPE} " == " docker" ]; then
66 echo " Installing docker compose"
77 sudo rm -f /usr/local/bin/docker-compose
88 curl -L https://github.com/docker/compose/releases/download/${DOCKER_COMPOSE_VERSION} /docker-compose-` uname -s` -` uname -m` > docker-compose
@@ -14,7 +14,7 @@ if [ "${ImageOS}" == "ubuntu22" ] && [ "${BUILD_TYPE}" == "docker" ]; then
1414
1515else
1616 # sudo rvm implode --force # rvm PATH rewriting interferes with portable Ruby.
17- if [ " ${ImageOS} " == " macos13 " ]; then
17+ if [ " ${ImageOS} " == " macos15 " ]; then
1818
1919 brew update > $GITHUB_WORKSPACE /spec/files/logs/brew-update.log
2020 brew install pv tree coreutils shared-mime-info
3333 rm ruby-3.2.2-darwin.tar.gz
3434
3535 # Install mongodb from a download. Brew is hanging and requires building mongo. This also speeds up the builds.
36- curl -SLO https://fastdl.mongodb.org/osx/mongodb-macos-x86_64-6 .0.7 .tgz
37- tar xvzf mongodb-macos-x86_64-6 .0.7 .tgz
36+ curl -SLO https://fastdl.mongodb.org/osx/mongodb-macos-x86_64-8 .0.12 .tgz
37+ tar xvzf mongodb-macos-x86_64-8 .0.12 .tgz
3838 exit_status_tar=$?
3939 if [ $exit_status_tar -ne 0 ]; then
40- echo " Error: Failed to extract Mongo 6 .0.7 archive"
40+ echo " Error: Failed to extract Mongo 8 .0.12 archive"
4141 exit $exit_status_tar
4242 fi
43- sudo cp mongodb-macos-x86_64-6 .0.7 /bin/* /usr/local/bin/
43+ sudo cp mongodb-macos-x86_64-8 .0.12 /bin/* /usr/local/bin/
4444 rm -r mongodb-macos*
4545
4646 # Install openstudio -- Use the install script that is in this repo now, the one on OpenStudio/develop has changed
8383 ulimit -n 4096
8484 ulimit -a
8585
86- elif [ " ${ImageOS} " == " ubuntu22 " ]; then
86+ elif [ " ${ImageOS} " == " ubuntu24 " ]; then
8787 echo " Setting up Ubuntu for unit tests and Rubocop"
8888 # install pipe viewer to throttle printing logs to screen (not a big deal in linux, but it is in osx)
8989 sudo apt-get update && sudo apt-get install -y wget gnupg software-properties-common build-essential
90- # sudo wget -qO - https://www.mongodb.org/static/pgp/server-6.0.asc | sudo apt-key add -
91- # echo "deb http://repo.mongodb.org/apt/ubuntu focal/mongodb-org/6.0 multiverse | tee /etc/apt/sources.list.d/mongodb-org-6.0.list"
9290 # Import MongoDB public GPG key
93- sudo wget -qO - https://www.mongodb.org/static/pgp/server-6 .0.asc | gpg --dearmor | sudo tee /usr/share/keyrings/mongodb-org-6 .0-archive-keyring.gpg
91+ sudo wget -qO - https://www.mongodb.org/static/pgp/server-8 .0.asc | gpg --dearmor | sudo tee /usr/share/keyrings/mongodb-org-8 .0-archive-keyring.gpg
9492 # Add MongoDB to the sources list
95- echo " deb [arch=amd64,arm64 signed-by=/usr/share/keyrings/mongodb-org-6 .0-archive-keyring.gpg] https://repo.mongodb.org/apt/ubuntu $( lsb_release -cs) /mongodb-org/6 .0 multiverse" | sudo tee /etc/apt/sources.list.d/mongodb-org-6 .0.list
93+ echo " deb [arch=amd64,arm64 signed-by=/usr/share/keyrings/mongodb-org-8 .0-archive-keyring.gpg] https://repo.mongodb.org/apt/ubuntu $( lsb_release -cs) /mongodb-org/8 .0 multiverse" | sudo tee /etc/apt/sources.list.d/mongodb-org-8 .0.list
9694
9795 sudo apt-get update
9896 sudo apt-get install -y pv tree mongodb-org libqdbm14 libxml2-dev
113111
114112 # install portable ruby - required for build that will eventually be published
115113 # see https://github.com/NREL/OpenStudio-PAT/wiki/Pat-Build-Notes
116- curl -SLO --insecure https://openstudio-resources.s3.amazonaws.com/pat-dependencies3/ruby-3.2.2-linux.tar.gz
117- tar xvzf ruby-3.2.2-linux.tar.gz
114+ # curl -SLO --insecure https://openstudio-resources.s3.amazonaws.com/pat-dependencies3/ruby-3.2.2-linux.tar.gz
115+ curl -SLO --insecure https://openstudio-resources.s3.us-east-1.amazonaws.com/pat-dependencies3/ruby-3.2.2-ubuntu24.04-x86_64.tar.gz
116+ tar xvzf ruby-3.2.2-ubuntu24.04-x86_64.tar.gz
118117 exit_status_tar=$?
119118 if [ $exit_status_tar -ne 0 ]; then
120119 echo " Error: Failed to extract Ruby 3.2.2 archive"
124123 sudo rm -rf /usr/local/ruby
125124 sudo mv ruby /usr/local/
126125 ldd /usr/local/ruby/bin/ruby
127- rm ruby-3.2.2-linux. tar.gz
126+ rm ruby-3.2.2-ubuntu24.04-x86_64. tar.gz
128127
129128 mkdir -p reports/rspec
130129 sudo ./ci/github-actions/install_openstudio.sh $OPENSTUDIO_VERSION $OPENSTUDIO_VERSION_SHA $OPENSTUDIO_VERSION_EXT
@@ -145,6 +144,13 @@ else
145144 # test openssl
146145 ruby ${GITHUB_WORKSPACE} /ci/github-actions/verify_openstudio.rb
147146
147+ # DEBUG shared libraries in packaged ruby
148+ ruby -v
149+ echo " === RBCONFIG SNAPSHOT ==="
150+ ruby -rrbconfig -e ' p RbConfig::CONFIG.values_at("ruby_version","arch","LIBRUBYARG_SHARED","LIBRUBYARG_STATIC","LIBRUBY_SO","LIBRUBY_A","libdir","rubylibdir","archdir")'
151+ echo " === /usr/local/ruby/lib ==="
152+ ls -la /usr/local/ruby/lib || true
153+
148154 ruby " ${GITHUB_WORKSPACE} /bin/openstudio_meta" install_gems --with_test_develop --debug --verbose --use_cached_gems
149155 bundle -v
150156 # create dir for output files which will be generated in case of failure
0 commit comments